aboutsummaryrefslogtreecommitdiff
path: root/test/dotnet
diff options
context:
space:
mode:
Diffstat (limited to 'test/dotnet')
-rw-r--r--test/dotnet/build_dotnet_7.sh9
-rw-r--r--test/dotnet/run_dotnet_7.sh8
-rw-r--r--test/dotnet/scenarios.json16
3 files changed, 33 insertions, 0 deletions
diff --git a/test/dotnet/build_dotnet_7.sh b/test/dotnet/build_dotnet_7.sh
new file mode 100644
index 0000000..11c575b
--- /dev/null
+++ b/test/dotnet/build_dotnet_7.sh
@@ -0,0 +1,9 @@
+#!/bin/bash
+
+set -e
+
+source dev-container-features-test-lib
+
+pushd example_project
+check "dotnet restore" dotnet restore
+check "dotnet build" dotnet build
diff --git a/test/dotnet/run_dotnet_7.sh b/test/dotnet/run_dotnet_7.sh
new file mode 100644
index 0000000..40d7b72
--- /dev/null
+++ b/test/dotnet/run_dotnet_7.sh
@@ -0,0 +1,8 @@
+#!/bin/bash
+
+set -e
+
+source dev-container-features-test-lib
+
+pushd example_project
+check "dotnet run" bash -c "dotnet run | grep 'Inception'"
diff --git a/test/dotnet/scenarios.json b/test/dotnet/scenarios.json
index f865e60..f4127f2 100644
--- a/test/dotnet/scenarios.json
+++ b/test/dotnet/scenarios.json
@@ -56,5 +56,21 @@
"runtimeOnly": true
}
}
+ },
+ "build_dotnet_7": {
+ "image": "ubuntu:jammy",
+ "features": {
+ "dotnet": {
+ "version": "7"
+ }
+ }
+ },
+ "run_dotnet_7": {
+ "image": "ubuntu:jammy",
+ "features": {
+ "dotnet": {
+ "version": "7"
+ }
+ }
}
} \ No newline at end of file